Bug 130160 - Sleeping function called from invalid context
Sleeping function called from invalid context
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 12:25 EDT by Vladimir Ivanovic
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel config file used to build 2.6.7-1.494.2.2vgi1 (41.44 KB, text/plain)
2004-08-17 12:27 EDT, Vladimir Ivanovic
no flags Details
output of `procinfo -a' (44.32 KB, text/plain)
2004-08-17 12:28 EDT, Vladimir Ivanovic
no flags Details

  None (edit)
Description Vladimir Ivanovic 2004-08-17 12:25:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
I built a custom kernel based on kernel-2.6.7-i686-smp.config that
removed many unused modules and turned on all kernel debugging options.

I am going to attach the output of /proc/config.gz and `procinfo -a'.

Aug 17 06:51:22 bach kernel: Debug: sleeping function called from
invalid context at /usr/src/linux-2.6.7-1.494.2.2/fs/inode.c:269
Aug 17 06:51:22 bach kernel: in_atomic():1[expected: 0], irqs_disabled():0
Aug 17 06:51:22 bach kernel:  [<02106ed7>] dump_stack+0x17/0x20
Aug 17 06:51:22 bach kernel:  [<0211da5e>] __might_sleep+0xce/0x100
Aug 17 06:51:22 bach kernel:  [<02184767>] clear_inode+0x17/0xd0
Aug 17 06:51:22 bach kernel:  [<02185c7e>] generic_delete_inode+0x9e/0x1a0
Aug 17 06:51:22 bach kernel:  [<02185fb6>] iput+0x56/0x70
Aug 17 06:51:22 bach kernel:  [<021814ac>] dput+0x17c/0x3d0
Aug 17 06:51:22 bach kernel:  [<02122716>] release_task+0x1b6/0x280
Aug 17 06:51:22 bach kernel:  [<02123956>] exit_notify+0x386/0x8c0
Aug 17 06:51:22 bach kernel:  [<021241e2>] do_exit+0x352/0x610
Aug 17 06:51:22 bach kernel:  [<021244d5>] sys_exit+0x15/0x20
Aug 17 06:51:22 bach kernel:  [<fffeb262>] 0xfffeb262

Version-Release number of selected component (if applicable):
2.6.7-1.494.2.2vgi1

How reproducible:
Didn't try


Additional info:
Comment 1 Vladimir Ivanovic 2004-08-17 12:27:28 EDT
Created attachment 102800 [details]
kernel config file used to build 2.6.7-1.494.2.2vgi1
Comment 2 Vladimir Ivanovic 2004-08-17 12:28:23 EDT
Created attachment 102802 [details]
output of `procinfo -a'
Comment 3 Dave Jones 2005-04-16 01:03:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.